Read The Changelog, Stupid!

Untuk desktop kerja gue, udah 3 tahun lebih gue pake distro slackware. Kenapa ga pake Windows? Ga tau, ga peduli, Gue cuma nyari mana yang nyaman gue pake buat kerja (brosing, ceting, donlod).

Untuk upgrade paket di slackware, gue pake software slapt-get, yang dikenal sebagai apt-nya slackware.

Satu bulan terakhir ini, gue asik ngapgred distro slack gue ke versi -current. Enak, tinggal jalanin slapt-get --update; slapt-get --upgrade -a Tunggu beberapa lama untuk dia download paket-paket yang akan diapgred, trus slackware gue udah apdet ke versi current.

Tapi gue selalu failed tiap kali apgred basic system, termasuk X11 dan KDE. Sampai akhirnya tiap kali apgred KDE ke versi 3.5.3, gue musti downgrade ke versi 3.4.2 bawaan slack 10.2. Daaaan, baru hari ini gue mencoba untuk apgred KDE lagi ke versi terbaru di slackware-current. Hasilnya? Blah! Gagal maning gagal maning son … Error messagesnya cuma “could not start kdeinit”. Tidak membantu sama sekali.

Pas lagi downgrade ke versi 3.4.2, ga sengaja ngeliat log error di file ~/.xsession-errors. Di situ gue tau ada file yang gak ada, yaitu libacl.so.1. Setelah googling, akhirnya gue tau semenjak 8 Februari 2006, paket acl dan attr dipisah dari paket xfsprogs. Dan dari forum ini akhirnya gue menyadari, bahwa aplikasi seperti slapt-get tidak akan menginstall paket-paket yang baru saja ditambahkan ke dalam versi current, karena mereka hanya akan mengapgred paket yang sudah terinstall. Bodoh! Makanya, sebelum melakukan apgred, baca dulu Changelog yang ada!

Anyway, sekarang KDE gue udah versi 3.5.3. Dan dulu setelah downgrade ke versi 3.4.2, gue ga pernah bisa ngepop gmail lagi. Sekarang setelah beberapa paket ditambahin sesuai dengan di Changelog, semuanya kembali normal😀

3 thoughts on “Read The Changelog, Stupid!

  1. chiank says:

    KDE udah keluar yang 3.5.4 *perasaan tadi ada liat dimana gitu…* update lagi son….
    follow the current, enak !!
    dulu pernah isenk ikutin jim follow currentnya openbsd..it’s sux !! but i gonna love it

  2. arjuna says:

    Thu Aug 3 01:26:43 CDT 2006
    kde/*: Upgraded to KDE 3.5.4. I know I told at least a few people that I
    wasn’t planning on including this in Slackware 11.0 at the last minute,
    and there have been a couple of patches needed for it already.
    Please test quickly. 🙂

    wah iya mut
    sekarang di -current slackware juga udah 3.5.4 haha
    blom juga seminggu make 3.5.3

  3. Sayang versi -current belum diupdate lagi, karena Pat masih fokus di -stable dan -current masih belum ada isinya, kecuali QA ttg apa yang sedang dikerjakan untuk rilis Slackware berikutnya. Pengen cobain 3.5.5 nich😀

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s